SmapInput (Apache Tomcat 11.0.6 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, record: SmapInput

# Record Class SmapInput

java.lang.Object
java.lang.Record
org.apache.jasper.compiler.SmapInput

public record SmapInput(String fileName, int lineNumber) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmapInput(String fileName, int lineNumber)`
  Creates an instance of a `SmapInput` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `fileName()`
  Returns the value of the `fileName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `lineNumber()`
  Returns the value of the `lineNumber` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SmapInput

    public SmapInput(String fileName, int lineNumber)
    Creates an instance of a `SmapInput` record class.
    Parameters:
      `fileName` - the value for the `fileName` record component
      `lineNumber` - the value for the `lineNumber` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fileName

    public String fileName()
    Returns the value of the `fileName` record component.
    Returns:
      the value of the `fileName` record component

  - ### lineNumber

    public int lineNumber()
    Returns the value of the `lineNumber` record component.
    Returns:
      the value of the `lineNumber` record component